# 2010 May 10 by Joshua R. Davis

"""
This program demonstrates the basic structure of all Bopagopa programs:
* create a window, then
* populate the window with shapes, and then
* run the user interface.
While the user interface is running, you can drag the shapes around with the mouse. Whenever the shapes overlap, the later shapes obscure the earlier shapes (later shapes are "on top"). You can also resize the window. Notice that the shapes maintain their positions relative to the bottom left corner of the window.
"""

import bopagopa.bopagopajr as jr

if __name__ == "__main__":
	# All Bopagopa programs begin by creating a window.
	window = jr.WindowJr()
	# Make an opaque red disk, with no texture, 64 pixels in radius.
	disk = jr.makeDisk(64.0)
	disk.setColor((1.0, 0.0, 0.0, 1.0))
	# Positions are measured in pixels, relative to the bottom left corner of the window.
	disk.setPosition((100.0, 200.0))
	window.appendBody2D(disk)
	# Make a translucent cyan rectangle, with no texture, 90 by 70 pixels.
	rectangle = jr.makeRectangle(90.0, 70.0)
	rectangle.setColor((0.3, 0.8, 0.8, 0.7))
	rectangle.setPosition((300.0, 100.0))
	window.appendBody2D(rectangle)
	# All Bopagopa programs end by running the user interface.
	jr.beginUserInterface()
