# 2010 October 3 by Joshua R. Davis

"""
This tutorial demonstrates how to create a basic 3D scene. You create a window, create one or more lights, create one or more solids, and then run the user interface. While the program is running, you can use the 4, 6, 2, and 8 keys to rotate the camera and the 1 and 7 keys to zoom the camera. Also you can mouse-click on solids to translate the camera, and you can mouse-drag solids around the scene.
"""

import bopagopa.bopagopajr as jr

if __name__ == "__main__":
	# All Bopagopa programs begin by creating a window.
	window = jr.WindowJr()
	# Make some lights.
	light = jr.Light()
	window.setLights((light,))
	# Make some solids.
	box = jr.makeBox(10.0, 10.0, 1.0)
	box.setColor((0.0, 1.0, 0.0))
	box.setPosition((0.0, 0.0, -1.0))
	window.appendBody3D(box)
	sphere = jr.makeSphere(1.0)
	sphere.setColor((1.0, 1.0, 0.0))
	window.appendBody3D(sphere)
	cylinder = jr.makeCylinder(1.0, 0.5)
	cylinder.setColor((0.0, 0.0, 1.0))
	cylinder.setPosition((1.0, 0.0, 1.0))
	window.appendBody3D(cylinder)
	capsule = jr.makeCapsule(1.0, 0.5)
	capsule.setColor((1.0, 0.0, 1.0))
	capsule.setPosition((0.0, 1.0, 1.0))
	window.appendBody3D(capsule)
	cone = jr.makeCone(1.0, 0.5)
	cone.setColor((1.0, 0.5, 0.0))
	cone.setPosition((1.0, 1.0, 1.0))
	window.appendBody3D(cone)
	# All Bopagopa programs end by running the user interface.
	jr.beginUserInterface()
